Page MenuHomePhabricator

Return full objects from POST and PUT endpoints for reading lists and reading list entries
Closed, ResolvedPublic

Description

Currently, the POST and PUT endpoints for lists and entries only return the ids of the list or entry.

Ideally, these would return the full objects, including created and updated dates. The same should be true for the duplicate responses T184680.

The created and updated dates could then be used for sorting locally.

Event Timeline

JoeWalsh created this task.Jan 30 2018, 7:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2018, 7:37 PM
JoeWalsh updated the task description. (Show Details)Jan 30 2018, 7:37 PM
JoeWalsh renamed this task from Return full objects from POST and PUT endpoints for reading lists to Return full objects from POST and PUT endpoints for reading lists and reading list entries.Jan 30 2018, 7:41 PM
Fjalapeno assigned this task to Tgr.Jan 30 2018, 7:42 PM
Fjalapeno added subscribers: Tgr, Fjalapeno.

@Tgr this came out of the need for supporting client side ordering - this seemed reasonable to me, does it look ok to you as well?

@JoeWalsh can you speak to priority of this one relative to T184680 and T182706?

JoeWalsh updated the task description. (Show Details)Jan 30 2018, 7:44 PM

1st T182706 2nd this ticket 3rd T184680

Tgr added a comment.Jan 30 2018, 7:58 PM

I don't see any problem with it.

Change 413650 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/ReadingLists@master] Return result row after insert/update

https://gerrit.wikimedia.org/r/413650

Tgr added a comment.Feb 23 2018, 3:02 AM

RESTBase PR is #960.

Change 413650 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@master] Return result row after insert/update

https://gerrit.wikimedia.org/r/413650

Change 416612 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/ReadingLists@wmf/1.31.0-wmf.23] Return result row after insert/update

https://gerrit.wikimedia.org/r/416612

Change 416612 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@wmf/1.31.0-wmf.23] Return result row after insert/update

https://gerrit.wikimedia.org/r/416612

Tgr closed this task as Resolved.Mar 10 2018, 12:56 AM
mobrovac added a subscriber: mobrovac.

FYI, the RESTBase patch for this issue was deployed today.